com.google.gwt.user.client.ui

## Interface HasVerticalScrolling

All Known Subinterfaces:
  HasScrolling, VerticalScrollbar

All Known Implementing Classes:
  CustomScrollPanel, NativeVerticalScrollbar, ScrollPanel

    public interface HasVerticalScrolling

Implemented by widgets that support vertical scrolling.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getMaximumVerticalScrollPosition()` Get the maximum position of vertical scrolling.
`int` `getMinimumVerticalScrollPosition()` Get the minimum position of vertical scrolling.
`int` `getVerticalScrollPosition()` Gets the vertical scroll position.
`void` `setVerticalScrollPosition(int position)` Sets the vertical scroll position.

### Method Detail

#### getMaximumVerticalScrollPosition

    int getMaximumVerticalScrollPosition()

Get the maximum position of vertical scrolling. This is usually the `scrollHeight - clientHeight`.

Returns:
  the maximum vertical scroll position

#### getMinimumVerticalScrollPosition

    int getMinimumVerticalScrollPosition()

Get the minimum position of vertical scrolling.

Returns:
  the minimum vertical scroll position

#### getVerticalScrollPosition

    int getVerticalScrollPosition()

Gets the vertical scroll position.

Returns:
  the vertical scroll position, in pixels

#### setVerticalScrollPosition

    void setVerticalScrollPosition(int position)

Sets the vertical scroll position.

Parameters:
  `position` - the new vertical scroll position, in pixels